#!/bin/sh
#
#   File:    restart+syslogd.sh
#   Author:  Carsten Lorbeer
#   Version: @(#)restart+syslogd.sh	1.2 01/11/06 18:36:11
#   Created: Sept. 1, 1999
#
#   Copyright (c) Sun Microsystems
#
#   restarts syslogd
#
#   Arguments:
#     none
#
if [ -f /etc/syslog.conf -a -f /usr/sbin/syslogd ]; then
	if [ ! -f /var/adm/messages ]
	then
		cp /dev/null /var/adm/messages
	fi

	# BugID 4519218 - SunMC has umask 077 which makes /etc/.syslog_door Drw-------
	umask 022

	/usr/sbin/syslogd 1>/dev/console 2>&1
fi
exit 0
